# Interface JSVTree

All Known Implementing Classes:
  `AwtTree, SimpleTree`

public interface JSVTree

## Method Summary

Modifier and Type
Method
Description
`JSVTreeNode`
`createTree(int fileCount, JDXSource source, JSVPanel[] jsvPanels)`
`void`
`deleteNodes(Lst<JSVTreeNode> toDelete)`
`JSVTreeNode`
`getRootNode()`
`JSVTreePath`
`newTreePath(Object[] path)`
`void`
`setPath(JSVTreePath newTreePath)`
`void`
`setSelectedPanel(ScriptInterface si, JSVPanel jsvp)`

## Method Details

### setSelectedPanel

void setSelectedPanel(ScriptInterface si, JSVPanel jsvp)

### getRootNode

JSVTreeNode getRootNode()

### setPath

void setPath(JSVTreePath newTreePath)

### newTreePath

JSVTreePath newTreePath(Object[] path)

### deleteNodes

void deleteNodes(Lst<JSVTreeNode> toDelete)

### createTree

JSVTreeNode createTree(int fileCount, JDXSource source, JSVPanel[] jsvPanels)